Hướng dẫn xử lý một số lỗi thường gặp sau khi nâng cấp PHP 5.4 và SQL 5.6 (28-08-2014)

Kính gửi quý khách hàng,
Hiện nay phiên bản 5.3.x đã "end of life" do đó chúng tôi chuyển sang sử dụng phiên bản php 5.4.x và MySQL 5.6.x làm phiên bản chính thức, tuy nhiên vẫn còn 1 số khách hàng sử dụng các loại mã nguồn cũ hoặc chưa hỗ trợ phiên bản này, do đó để thuận tiện sử dụng và khắc phục lỗi gặp phải cho các tài khoản sử dụng mã nguồn cũ hoặc chưa hỗ trợ phiên bản mới, chúng tôi đưa ra một số cách xử lý như sau:
1. Các mã nguồn VBB, Joomla v.v.. phiên bản cũ, chưa hỗ trợ PHP 5.4.x:
+ Cách xử lý:
Sử dụng PHP Selector trong cPanel - Chọn phiên bản PHP 5.2 hoặc 5.3 làm phiên bản sử dụng , chọn các modules cần thiết cho mã nguồn và lưu lại, sau đó chuyển đến Switch To PHP Settings để thiết lập php.ini theo ý muốn.
http://www.viethosting.vn/thongbao/2.jpg
Tham khảo: http://www.viethosting.vn/82-Cap-nhat-CageFS-PHP-Selector-cho-toan-bo-may-chu-dich-vu-Hosting.html
2. Lỗi SQL Connection ( Không kết nối được SQL mặc dù trước đây phiên bản SQL cũ site chạy bình thường )
+ Cách xử lý:
- Vào cPanel, tìm đến mục SQL Database, Ở phần MySQL Users kéo xuống phía dưới cùng sẽ thấy chức năng set lại SQL password cho SQL User ( các bạn hãy đảm bảo độ khó của mật khẩu >= 65 theo hiển thị của cPanel )
Sau đó chỉnh lại file config của web phần SQL Password, điền pass mới mà các bạn vừa change vào, lưu lại, site sẽ vào bình thường.
Hi vọng bài viết này giúp ích cho các bạn
Trân trọng



Các tin khác